#### D.15.13.19 latticeBasis

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  latticeBasis(B); intmat B

Purpose:
  compute an integral basis for the lattice defined by the columns of B.

Returns:
  intmat

Example:

    LIB "multigrading.lib";
    intmat L[3][3] =
    1,4,8,
    2,5,10,
    3,6,12;
    intmat B = latticeBasis(L);
    print(B); // should result in a matrix whose columns generate the same lattice as  [1,2,3] and [0,3,6]:
    ==>      1     0
    ==>      2     3
    ==>      3     6
    // another example
    intmat C[2][4] =
    1,1,2,0,
    2,3,4,0;
    // should result in a matrix whose
    // colums create the same  lattice as
    // [0,1],[1,0]
    intmat D = latticeBasis(C);
    print(D);
    ==>      1     0
    ==>      0     1
    kill B,L;

User manual for Singular version 4-0-3, 2016, generated by texi2html.